class ProfileResponse {
  bool con;
  String msg;
  ProfileResults results;

  ProfileResponse({this.con, this.msg, this.results});

  ProfileResponse.fromJson(Map<String, dynamic> json) {
    if (json["con"] is bool) this.con = json["con"];
    if (json["msg"] is String) this.msg = json["msg"];
    if (json["results"] is Map)
      this.results = json["results"] == null
          ? null
          : ProfileResults.fromJson(json["results"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null) data["results"] = this.results.toJson();
    return data;
  }
}

class ProfileResults {
  int pegawaiId;
  String idNipNrp;
  String namaLengkap;
  String gelarSarjanaDepan;
  String gelarSarjanaBelakang;
  String tempatLahir;
  String tanggalLahir;
  String jenisKelamin;
  String statusPerkawinan;
  String agama;
  String alamatTempatTinggal;
  String rtTempatTinggal;
  String rwTempatTinggal;
  String desaKelurahan;
  String kecamatan;
  String kabupatenKota;
  String provinsi;
  int kodePos;
  String noTelepon1;
  String noTelepon2;
  String golonganDarah;
  int statusKepegawaianId;
  int jenisKepegawaianId;
  String npwp;
  String nomorKtp;
  String notaPersetujuanBknNomorCpns;
  String notaPersetujuanBknTanggalCpns;
  String pejabatYangMenetapkanCpns;
  String skCpnsNomorCpns;
  String skCpnsTanggalCpns;
  int kodePangkatCpns;
  String tmtCpns;
  String pejabatYangMenetapkanPns;
  String skNomorPns;
  String skTanggalPns;
  String kodePangkatPns;
  String tmtPns;
  String sumpahJanjiPns;
  int tinggiKeteranganBadan;
  int beratBadanKeteranganBadan;
  String rambutKeteranganBadan;
  String bentukMukaKeteranganBadan;
  String warnaKulitKeteranganBadan;
  String ciriCiriKhasKeteranganBadan;
  String cacatTubuhKeteranganBadan;
  String kegemaran1;
  String kegemaran2;
  String kegemaran3;
  String photo;
  int statusAktifPegawai;
  int tipeUser;
  String kodeDokterMapingSimrs;
  String niptk;

  ProfileResults(
      {this.pegawaiId,
      this.idNipNrp,
      this.namaLengkap,
      this.gelarSarjanaDepan,
      this.gelarSarjanaBelakang,
      this.tempatLahir,
      this.tanggalLahir,
      this.jenisKelamin,
      this.statusPerkawinan,
      this.agama,
      this.alamatTempatTinggal,
      this.rtTempatTinggal,
      this.rwTempatTinggal,
      this.desaKelurahan,
      this.kecamatan,
      this.kabupatenKota,
      this.provinsi,
      this.kodePos,
      this.noTelepon1,
      this.noTelepon2,
      this.golonganDarah,
      this.statusKepegawaianId,
      this.jenisKepegawaianId,
      this.npwp,
      this.nomorKtp,
      this.notaPersetujuanBknNomorCpns,
      this.notaPersetujuanBknTanggalCpns,
      this.pejabatYangMenetapkanCpns,
      this.skCpnsNomorCpns,
      this.skCpnsTanggalCpns,
      this.kodePangkatCpns,
      this.tmtCpns,
      this.pejabatYangMenetapkanPns,
      this.skNomorPns,
      this.skTanggalPns,
      this.kodePangkatPns,
      this.tmtPns,
      this.sumpahJanjiPns,
      this.tinggiKeteranganBadan,
      this.beratBadanKeteranganBadan,
      this.rambutKeteranganBadan,
      this.bentukMukaKeteranganBadan,
      this.warnaKulitKeteranganBadan,
      this.ciriCiriKhasKeteranganBadan,
      this.cacatTubuhKeteranganBadan,
      this.kegemaran1,
      this.kegemaran2,
      this.kegemaran3,
      this.photo,
      this.statusAktifPegawai,
      this.tipeUser,
      this.kodeDokterMapingSimrs,
      this.niptk});

  ProfileResults.fromJson(Map<String, dynamic> json) {
    if (json["pegawai_id"] is int) this.pegawaiId = json["pegawai_id"];
    if (json["id_nip_nrp"] is String) this.idNipNrp = json["id_nip_nrp"];
    if (json["nama_lengkap"] is String) this.namaLengkap = json["nama_lengkap"];
    if (json["gelar_sarjana_depan"] is String)
      this.gelarSarjanaDepan = json["gelar_sarjana_depan"];
    if (json["gelar_sarjana_belakang"] is String)
      this.gelarSarjanaBelakang = json["gelar_sarjana_belakang"];
    if (json["tempat_lahir"] is String) this.tempatLahir = json["tempat_lahir"];
    if (json["tanggal_lahir"] is String)
      this.tanggalLahir = json["tanggal_lahir"];
    if (json["jenis_kelamin"] is String)
      this.jenisKelamin = json["jenis_kelamin"];
    if (json["status_perkawinan"] is String)
      this.statusPerkawinan = json["status_perkawinan"];
    if (json["agama"] is String) this.agama = json["agama"];
    if (json["alamat_tempat_tinggal"] is String)
      this.alamatTempatTinggal = json["alamat_tempat_tinggal"];
    if (json["rt_tempat_tinggal"] is String)
      this.rtTempatTinggal = json["rt_tempat_tinggal"];
    if (json["rw_tempat_tinggal"] is String)
      this.rwTempatTinggal = json["rw_tempat_tinggal"];
    if (json["desa_kelurahan"] is String)
      this.desaKelurahan = json["desa_kelurahan"];
    if (json["kecamatan"] is String) this.kecamatan = json["kecamatan"];
    if (json["kabupaten_kota"] is String)
      this.kabupatenKota = json["kabupaten_kota"];
    if (json["provinsi"] is String) this.provinsi = json["provinsi"];
    if (json["kode_pos"] is int) this.kodePos = json["kode_pos"];
    if (json["no_telepon_1"] is String) this.noTelepon1 = json["no_telepon_1"];
    if (json["no_telepon_2"] is String) this.noTelepon2 = json["no_telepon_2"];
    if (json["golongan_darah"] is String)
      this.golonganDarah = json["golongan_darah"];
    if (json["status_kepegawaian_id"] is int)
      this.statusKepegawaianId = json["status_kepegawaian_id"];
    if (json["jenis_kepegawaian_id"] is int)
      this.jenisKepegawaianId = json["jenis_kepegawaian_id"];
    if (json["npwp"] is String) this.npwp = json["npwp"];
    if (json["nomor_ktp"] is String) this.nomorKtp = json["nomor_ktp"];
    if (json["nota_persetujuan_bkn_nomor_cpns"] is String)
      this.notaPersetujuanBknNomorCpns =
          json["nota_persetujuan_bkn_nomor_cpns"];
    if (json["nota_persetujuan_bkn_tanggal_cpns"] is String)
      this.notaPersetujuanBknTanggalCpns =
          json["nota_persetujuan_bkn_tanggal_cpns"];
    if (json["pejabat_yang_menetapkan_cpns"] is String)
      this.pejabatYangMenetapkanCpns = json["pejabat_yang_menetapkan_cpns"];
    if (json["sk_cpns_nomor_cpns"] is String)
      this.skCpnsNomorCpns = json["sk_cpns_nomor_cpns"];
    if (json["sk_cpns_tanggal_cpns"] is String)
      this.skCpnsTanggalCpns = json["sk_cpns_tanggal_cpns"];
    if (json["kode_pangkat_cpns"] is int)
      this.kodePangkatCpns = json["kode_pangkat_cpns"];
    if (json["tmt_cpns"] is String) this.tmtCpns = json["tmt_cpns"];
    if (json["pejabat_yang_menetapkan_pns"] is String)
      this.pejabatYangMenetapkanPns = json["pejabat_yang_menetapkan_pns"];
    if (json["sk_nomor_pns"] is String) this.skNomorPns = json["sk_nomor_pns"];
    if (json["sk_tanggal_pns"] is String)
      this.skTanggalPns = json["sk_tanggal_pns"];
    if (json["kode_pangkat_pns"] is String)
      this.kodePangkatPns = json["kode_pangkat_pns"];
    if (json["tmt_pns"] is String) this.tmtPns = json["tmt_pns"];
    if (json["sumpah_janji_pns"] is String)
      this.sumpahJanjiPns = json["sumpah_janji_pns"];
    if (json["tinggi_keterangan_badan"] is int)
      this.tinggiKeteranganBadan = json["tinggi_keterangan_badan"];
    if (json["berat_badan_keterangan_badan"] is int)
      this.beratBadanKeteranganBadan = json["berat_badan_keterangan_badan"];
    if (json["rambut_keterangan_badan"] is String)
      this.rambutKeteranganBadan = json["rambut_keterangan_badan"];
    if (json["bentuk_muka_keterangan_badan"] is String)
      this.bentukMukaKeteranganBadan = json["bentuk_muka_keterangan_badan"];
    if (json["warna_kulit_keterangan_badan"] is String)
      this.warnaKulitKeteranganBadan = json["warna_kulit_keterangan_badan"];
    if (json["ciri_ciri_khas_keterangan_badan"] is String)
      this.ciriCiriKhasKeteranganBadan =
          json["ciri_ciri_khas_keterangan_badan"];
    if (json["cacat_tubuh_keterangan_badan"] is String)
      this.cacatTubuhKeteranganBadan = json["cacat_tubuh_keterangan_badan"];
    if (json["kegemaran_1"] is String) this.kegemaran1 = json["kegemaran_1"];
    if (json["kegemaran_2"] is String) this.kegemaran2 = json["kegemaran_2"];
    if (json["kegemaran_3"] is String) this.kegemaran3 = json["kegemaran_3"];
    if (json["photo"] is String) this.photo = json["photo"];
    if (json["status_aktif_pegawai"] is int)
      this.statusAktifPegawai = json["status_aktif_pegawai"];
    if (json["tipe_user"] is int) this.tipeUser = json["tipe_user"];
    if (json["kode_dokter_maping_simrs"] is String)
      this.kodeDokterMapingSimrs = json["kode_dokter_maping_simrs"];
    if (json["niptk"] is String) this.niptk = json["niptk"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["pegawai_id"] = this.pegawaiId;
    data["id_nip_nrp"] = this.idNipNrp;
    data["nama_lengkap"] = this.namaLengkap;
    data["gelar_sarjana_depan"] = this.gelarSarjanaDepan;
    data["gelar_sarjana_belakang"] = this.gelarSarjanaBelakang;
    data["tempat_lahir"] = this.tempatLahir;
    data["tanggal_lahir"] = this.tanggalLahir;
    data["jenis_kelamin"] = this.jenisKelamin;
    data["status_perkawinan"] = this.statusPerkawinan;
    data["agama"] = this.agama;
    data["alamat_tempat_tinggal"] = this.alamatTempatTinggal;
    data["rt_tempat_tinggal"] = this.rtTempatTinggal;
    data["rw_tempat_tinggal"] = this.rwTempatTinggal;
    data["desa_kelurahan"] = this.desaKelurahan;
    data["kecamatan"] = this.kecamatan;
    data["kabupaten_kota"] = this.kabupatenKota;
    data["provinsi"] = this.provinsi;
    data["kode_pos"] = this.kodePos;
    data["no_telepon_1"] = this.noTelepon1;
    data["no_telepon_2"] = this.noTelepon2;
    data["golongan_darah"] = this.golonganDarah;
    data["status_kepegawaian_id"] = this.statusKepegawaianId;
    data["jenis_kepegawaian_id"] = this.jenisKepegawaianId;
    data["npwp"] = this.npwp;
    data["nomor_ktp"] = this.nomorKtp;
    data["nota_persetujuan_bkn_nomor_cpns"] = this.notaPersetujuanBknNomorCpns;
    data["nota_persetujuan_bkn_tanggal_cpns"] =
        this.notaPersetujuanBknTanggalCpns;
    data["pejabat_yang_menetapkan_cpns"] = this.pejabatYangMenetapkanCpns;
    data["sk_cpns_nomor_cpns"] = this.skCpnsNomorCpns;
    data["sk_cpns_tanggal_cpns"] = this.skCpnsTanggalCpns;
    data["kode_pangkat_cpns"] = this.kodePangkatCpns;
    data["tmt_cpns"] = this.tmtCpns;
    data["pejabat_yang_menetapkan_pns"] = this.pejabatYangMenetapkanPns;
    data["sk_nomor_pns"] = this.skNomorPns;
    data["sk_tanggal_pns"] = this.skTanggalPns;
    data["kode_pangkat_pns"] = this.kodePangkatPns;
    data["tmt_pns"] = this.tmtPns;
    data["sumpah_janji_pns"] = this.sumpahJanjiPns;
    data["tinggi_keterangan_badan"] = this.tinggiKeteranganBadan;
    data["berat_badan_keterangan_badan"] = this.beratBadanKeteranganBadan;
    data["rambut_keterangan_badan"] = this.rambutKeteranganBadan;
    data["bentuk_muka_keterangan_badan"] = this.bentukMukaKeteranganBadan;
    data["warna_kulit_keterangan_badan"] = this.warnaKulitKeteranganBadan;
    data["ciri_ciri_khas_keterangan_badan"] = this.ciriCiriKhasKeteranganBadan;
    data["cacat_tubuh_keterangan_badan"] = this.cacatTubuhKeteranganBadan;
    data["kegemaran_1"] = this.kegemaran1;
    data["kegemaran_2"] = this.kegemaran2;
    data["kegemaran_3"] = this.kegemaran3;
    data["photo"] = this.photo;
    data["status_aktif_pegawai"] = this.statusAktifPegawai;
    data["tipe_user"] = this.tipeUser;
    data["kode_dokter_maping_simrs"] = this.kodeDokterMapingSimrs;
    data["niptk"] = this.niptk;
    return data;
  }
}
